Bug 1613387 - Tenant admins is not able to see newly created users
Summary: Tenant admins is not able to see newly created users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Gregg Tanzillo
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On: 1596639
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 13:20 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
11 users (show)

Fixed In Version: 5.9.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1596639
Environment:
Last Closed: 2018-09-04 18:01:56 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:24 UTC

Comment 3 CFME Bot 2018-08-13 16:01:16 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/87cafbdfbec630ed8ccb8172dc033eba6b944aa3
commit 87cafbdfbec630ed8ccb8172dc033eba6b944aa3
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Aug  8 09:22:01 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Aug  8 09:22:01 2018 -0400

    Allow tenant admins to see all groups within the scope of their tenant

    Manual back port of #17768 to gaprindashvili
    This had to be done because of the change in master to rely on product features instead of role name
    to determine whether a user is an admin, tenant admin or super admin

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1613387

 app/models/miq_group.rb | 2 +-
 app/models/miq_user_role.rb | 10 +-
 app/models/user.rb | 4 +-
 lib/rbac/filterer.rb | 3 +-
 spec/lib/rbac/filterer_spec.rb | 39 +-
 spec/models/miq_user_role_spec.rb | 18 +
 6 files changed, 61 insertions(+), 15 deletions(-)

Comment 4 Antonin Pagac 2018-08-17 13:56:24 UTC
Appliance version: 5.9.4.4

As a tenant admin, I can create new users and they are visible.

Comment 6 errata-xmlrpc 2018-09-04 18:01:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.